REM Licensed Materials - Property of IBM
REM 5725-C94, 5725-C95, 5725-C96
REM Copyright IBM Corporation 2015, 2016. All Rights Reserved.
REM US Government Users Restricted Rights - Use, duplication or disclosure
REM restricted by GSA ADP Schedule Contract with IBM Corp.

@echo off

SET USERNAME_ARG=
SET PASSWORD_ARG=
SET HOSTNAME=
SET SERVERPORT=
SET COMMAND=
SET USERSTATE=none

:processArguments
IF "%1" == "-?" GOTO help
IF "%1" == "-help" GOTO help

IF "%1"=="-username" SET USERNAME_ARG=-user %2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-u"        SET USERNAME_ARG=-user %2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-user"     SET USERNAME_ARG=-user %2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-password" SET PASSWORD_ARG=-password %2 & SHIFT & SHIFT & GOTO processArguments
IF "%1"=="-p"        SET PASSWORD_ARG=-password %2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-host"     SET HOSTNAME=-host %2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-port"     SET SERVERPORT=-port %2 & SHIFT & SHIFT & GOTO processArguments

IF "%1"=="-userState" SET USERSTATE=%2 & SHIFT & SHIFT & GOTO processArguments

IF NOT "%1"=="" GOTO help

IF "%USERSTATE%"==" " SET USERSTATE=none

IF "%HOSTNAME%"=="" GOTO noservername

wsadmin -lang jython -wsadmin_classpath %WAS_HOME%"/BPM/Lombardi/lib/ps.jar";%WAS_HOME%"/BPM/Lombardi/lib/utility.jar" %USERNAME_ARG% %PASSWORD_ARG% -conntype SOAP %HOSTNAME% %SERVERPORT% -f %WAS_HOME%"/BPM/Lombardi/tools/security/syncExistingUsers.jy" -userState %USERSTATE%

GOTO END

:noservername

wsadmin -lang jython -wsadmin_classpath %WAS_HOME%"/BPM/Lombardi/lib/ps.jar";%WAS_HOME%"/BPM/Lombardi/lib/utility.jar" %USERNAME_ARG% %PASSWORD_ARG% -f %WAS_HOME%"/BPM/Lombardi/tools/security/syncExistingUsers.jy" -userState %USERSTATE%

GOTO END

:help
ECHO Usage:
ECHO.
ECHO    syncExistingUsers.bat [options...]
ECHO.
ECHO Options:
ECHO    -?, -help                                      This help message
ECHO    -u ^<username^>, -username ^<username^>        User name of the admin user
ECHO    -p ^<password^>, -password ^<password^>        User password (unencrypted)
ECHO    -host                                          Server host name, must be used with port
ECHO    -port                                          Server SOAP port number
ECHO    -userState sync                                Activate users in the BPM database who are in the user
ECHO                                                   registry and deactivate users in the database who are
ECHO                                                   no longer in the user registry. If you omit the 'sync'
ECHO                                                   parameter or use any other value, nothing is updated.


GOTO END

:END
ECHO.
EXIT /B %RC%
ENDLOCAL